Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"47c4ebc8-1d34-4d71-b556-02c2813887af","courseQuestionId":"16b17da3-74d6-416e-a081-4cda6bb82365","userId":"2bbb08b8-40d5-492c-8339-cbe3fea616cb","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"9f448814-493a-4026-a834-a4755c4149a2","courseQuestionId":"ea50adf8-165b-45dd-91fc-0dda3055b5d2","userId":"22d1fa4e-96ee-4721-9a10-946f9df830ae","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string